notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Ukraine
Port details
py3-atspi Python3 API for the D-BUS based SPI framework
2.24.0 accessibility Deleted on this many watch lists=1 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 2.24.0Version of this port present on the latest quarterly branch.
Maintainer: gnome@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2014-11-19 11:49:29
Last Update: 2017-11-30 15:50:34
SVN Revision: 455210
People watching this port, also watch:: unoconv, py38-pycparser, python
Also Listed In: python x11-toolkits
License: LGPL20
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
Expand this list (75 items)
Collapse this list.
  1. /usr/local/share/licenses/py36-atspi-2.24.0/catalog.mk
  2. /usr/local/share/licenses/py36-atspi-2.24.0/LICENSE
  3. /usr/local/share/licenses/py36-atspi-2.24.0/LGPL20
  4. lib/python3.6/site-packages/pyatspi/Accessibility.py
  5. lib/python3.6/site-packages/pyatspi/__init__.py
  6. lib/python3.6/site-packages/pyatspi/__pycache__/Accessibility.cpython-36.opt-1.pyc
  7. lib/python3.6/site-packages/pyatspi/__pycache__/Accessibility.cpython-36.pyc
  8. lib/python3.6/site-packages/pyatspi/__pycache__/__init__.cpython-36.opt-1.pyc
  9. lib/python3.6/site-packages/pyatspi/__pycache__/__init__.cpython-36.pyc
  10. lib/python3.6/site-packages/pyatspi/__pycache__/action.cpython-36.opt-1.pyc
  11. lib/python3.6/site-packages/pyatspi/__pycache__/action.cpython-36.pyc
  12. lib/python3.6/site-packages/pyatspi/__pycache__/appevent.cpython-36.opt-1.pyc
  13. lib/python3.6/site-packages/pyatspi/__pycache__/appevent.cpython-36.pyc
  14. lib/python3.6/site-packages/pyatspi/__pycache__/application.cpython-36.opt-1.pyc
  15. lib/python3.6/site-packages/pyatspi/__pycache__/application.cpython-36.pyc
  16. lib/python3.6/site-packages/pyatspi/__pycache__/atspienum.cpython-36.opt-1.pyc
  17. lib/python3.6/site-packages/pyatspi/__pycache__/atspienum.cpython-36.pyc
  18. lib/python3.6/site-packages/pyatspi/__pycache__/collection.cpython-36.opt-1.pyc
  19. lib/python3.6/site-packages/pyatspi/__pycache__/collection.cpython-36.pyc
  20. lib/python3.6/site-packages/pyatspi/__pycache__/component.cpython-36.opt-1.pyc
  21. lib/python3.6/site-packages/pyatspi/__pycache__/component.cpython-36.pyc
  22. lib/python3.6/site-packages/pyatspi/__pycache__/constants.cpython-36.opt-1.pyc
  23. lib/python3.6/site-packages/pyatspi/__pycache__/constants.cpython-36.pyc
  24. lib/python3.6/site-packages/pyatspi/__pycache__/deviceevent.cpython-36.opt-1.pyc
  25. lib/python3.6/site-packages/pyatspi/__pycache__/deviceevent.cpython-36.pyc
  26. lib/python3.6/site-packages/pyatspi/__pycache__/document.cpython-36.opt-1.pyc
  27. lib/python3.6/site-packages/pyatspi/__pycache__/document.cpython-36.pyc
  28. lib/python3.6/site-packages/pyatspi/__pycache__/editabletext.cpython-36.opt-1.pyc
  29. lib/python3.6/site-packages/pyatspi/__pycache__/editabletext.cpython-36.pyc
  30. lib/python3.6/site-packages/pyatspi/__pycache__/hypertext.cpython-36.opt-1.pyc
  31. lib/python3.6/site-packages/pyatspi/__pycache__/hypertext.cpython-36.pyc
  32. lib/python3.6/site-packages/pyatspi/__pycache__/image.cpython-36.opt-1.pyc
  33. lib/python3.6/site-packages/pyatspi/__pycache__/image.cpython-36.pyc
  34. lib/python3.6/site-packages/pyatspi/__pycache__/interface.cpython-36.opt-1.pyc
  35. lib/python3.6/site-packages/pyatspi/__pycache__/interface.cpython-36.pyc
  36. lib/python3.6/site-packages/pyatspi/__pycache__/registry.cpython-36.opt-1.pyc
  37. lib/python3.6/site-packages/pyatspi/__pycache__/registry.cpython-36.pyc
  38. lib/python3.6/site-packages/pyatspi/__pycache__/role.cpython-36.opt-1.pyc
  39. lib/python3.6/site-packages/pyatspi/__pycache__/role.cpython-36.pyc
  40. lib/python3.6/site-packages/pyatspi/__pycache__/selection.cpython-36.opt-1.pyc
  41. lib/python3.6/site-packages/pyatspi/__pycache__/selection.cpython-36.pyc
  42. lib/python3.6/site-packages/pyatspi/__pycache__/state.cpython-36.opt-1.pyc
  43. lib/python3.6/site-packages/pyatspi/__pycache__/state.cpython-36.pyc
  44. lib/python3.6/site-packages/pyatspi/__pycache__/table.cpython-36.opt-1.pyc
  45. lib/python3.6/site-packages/pyatspi/__pycache__/table.cpython-36.pyc
  46. lib/python3.6/site-packages/pyatspi/__pycache__/tablecell.cpython-36.opt-1.pyc
  47. lib/python3.6/site-packages/pyatspi/__pycache__/tablecell.cpython-36.pyc
  48. lib/python3.6/site-packages/pyatspi/__pycache__/text.cpython-36.opt-1.pyc
  49. lib/python3.6/site-packages/pyatspi/__pycache__/text.cpython-36.pyc
  50. lib/python3.6/site-packages/pyatspi/__pycache__/utils.cpython-36.opt-1.pyc
  51. lib/python3.6/site-packages/pyatspi/__pycache__/utils.cpython-36.pyc
  52. lib/python3.6/site-packages/pyatspi/__pycache__/value.cpython-36.opt-1.pyc
  53. lib/python3.6/site-packages/pyatspi/__pycache__/value.cpython-36.pyc
  54. lib/python3.6/site-packages/pyatspi/action.py
  55. lib/python3.6/site-packages/pyatspi/appevent.py
  56. lib/python3.6/site-packages/pyatspi/application.py
  57. lib/python3.6/site-packages/pyatspi/atspienum.py
  58. lib/python3.6/site-packages/pyatspi/collection.py
  59. lib/python3.6/site-packages/pyatspi/component.py
  60. lib/python3.6/site-packages/pyatspi/constants.py
  61. lib/python3.6/site-packages/pyatspi/deviceevent.py
  62. lib/python3.6/site-packages/pyatspi/document.py
  63. lib/python3.6/site-packages/pyatspi/editabletext.py
  64. lib/python3.6/site-packages/pyatspi/hypertext.py
  65. lib/python3.6/site-packages/pyatspi/image.py
  66. lib/python3.6/site-packages/pyatspi/interface.py
  67. lib/python3.6/site-packages/pyatspi/registry.py
  68. lib/python3.6/site-packages/pyatspi/role.py
  69. lib/python3.6/site-packages/pyatspi/selection.py
  70. lib/python3.6/site-packages/pyatspi/state.py
  71. lib/python3.6/site-packages/pyatspi/table.py
  72. lib/python3.6/site-packages/pyatspi/tablecell.py
  73. lib/python3.6/site-packages/pyatspi/text.py
  74. lib/python3.6/site-packages/pyatspi/utils.py
  75. lib/python3.6/site-packages/pyatspi/value.py
Collapse this list.
Dependency lines:
  • ${PYTHON_PKGNAMEPREFIX}atspi>0:accessibility/py3-atspi@${PY_FLAVOR}
No installation instructions:
This port has been deleted.
PKGNAME: py36-atspi
Flavors: there is no flavor information for this port.
distinfo:
Packages (timestamps in pop-ups are UTC):
py34-atspi
ABIlatestquarterly
FreeBSD:11:aarch64--
FreeBSD:11:amd64--
FreeBSD:11:armv62.18.0-
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64--
FreeBSD:12:aarch64--
FreeBSD:12:amd64--
FreeBSD:12:armv6--
FreeBSD:12:armv7--
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips64--
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. msgfmt : devel/gettext-tools
  2. gmake : devel/gmake
  3. intltool-extract : textproc/intltool
  4. py3?-gobject3>=0 : devel/py3-gobject3
  5. pkgconf>=1.3.0_1 : devel/pkgconf
  6. python3.6 : lang/python36
  7. python3 : lang/python3
Runtime dependencies:
  1. at-spi2-registryd : accessibility/at-spi2-core
  2. py3?-gobject3>=0 : devel/py3-gobject3
  3. python3.6 : lang/python36
  4. python3 : lang/python3
Library dependencies:
  1. libintl.so : devel/gettext-runtime
  2. libglib-2.0.so : devel/glib20
  3. libintl.so : devel/gettext-runtime
There are no ports dependent upon this port

Configuration Options:
Options name:

USES:

FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (12 items)
Collapse this list.
  1. ftp://ftp.belnet.be/mirror/ftp.gnome.org/sources/pyatspi/2.24/
  2. ftp://ftp.cse.buffalo.edu/pub/Gnome/sources/pyatspi/2.24/
  3. ftp://ftp.kddlabs.co.jp/pub/GNOME/sources/pyatspi/2.24/
  4. ftp://ftp.mirrorservice.org/sites/ftp.gnome.org/pub/GNOME/sources/pyatspi/2.24/
  5. ftp://ftp.nara.wide.ad.jp/pub/X11/GNOME/sources/pyatspi/2.24/
  6. http://download.gnome.org/sources/pyatspi/2.24/
  7. http://fr2.rpmfind.net/linux/gnome.org/sources/pyatspi/2.24/
  8. http://ftp.acc.umu.se/pub/GNOME/sources/pyatspi/2.24/
  9. http://ftp.belnet.be/mirror/ftp.gnome.org/sources/pyatspi/2.24/
  10. http://ftp.gnome.org/pub/GNOME/sources/pyatspi/2.24/
  11. http://www.gtlib.gatech.edu/pub/gnome/sources/pyatspi/2.24/
  12. https://download.gnome.org/sources/pyatspi/2.24/
Collapse this list.
Port Moves
  • port deleted on 2017-11-30
    REASON: Moved to a flavored, generic, version

Number of commits found: 12

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
30 Nov 2017 15:50:34
Original commit files touched by this commit Revision:455210  2.24.0  Sanity Test Failure
mat search for other commits by this committer
Convert Python ports to FLAVORS.

  Ports using USE_PYTHON=distutils are now flavored.  They will
  automatically get flavors (py27, py34, py35, py36) depending on what
  versions they support.

  There is also a USE_PYTHON=flavors for ports that do not use distutils
  but need FLAVORS to be set.  A USE_PYTHON=noflavors can be set if
  using distutils but flavors are not wanted.

  A new USE_PYTHON=optsuffix that will add PYTHON_PKGNAMESUFFIX has been
  added to cope with Python ports that did not have the Python
  PKGNAMEPREFIX but are flavored.

  USES=python now also exports a PY_FLAVOR variable that contains the
(Only the first 15 lines of the commit message are shown above View all of this commit message)
01 Apr 2017 21:48:47
Original commit files touched by this commit Revision:437493  2.24.0
antoine search for other commits by this committer
Fix plist with non-default versions of python3
01 Apr 2017 21:05:54
Original commit files touched by this commit Revision:437483  2.24.0
bapt search for other commits by this committer
Update to 2.24
07 Jan 2017 21:42:28
Original commit files touched by this commit Revision:430839  2.18.0
sunpoet search for other commits by this committer
Add more PLIST_SUB to Mk/Uses/python.mk

- Add PYTHON_PYOEXTENSION and PYTHON_SUFFIX
- Add PYTHON2 and PYTHON3
- Respect PYTHON_VERSION
- Rename PYOEXTENSION to PYTHON_PYOEXTENSION

This change would help:
- Build databases/postgresql*-plpython with Python 3
  (It has PLIST issue since bsd.python.mk to Uses/python.mk transition)
- Simplify Makefile

PR:		205807
Differential Revision:	https://reviews.FreeBSD.org/D4758
Exp-run by:	antoine
01 Apr 2016 13:29:17
Original commit files touched by this commit Revision:412344  2.18.0
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, Mk and categories a, b, and c.

With hat:	portmgr
Sponsored by:	Absolight
14 Feb 2016 18:57:54
Original commit files touched by this commit Revision:408881  2.18.0
kwm search for other commits by this committer
The FreeBSD GNOME team proudly presents GNOME 3.18 for FreeBSD.

The offical GNOME 3.18 release notes can be found at
https://help.gnome.org/misc/release-notes/3.18/

This update doesn't contain the glib/gtk c++ bindings which will
be done in a another update due to the requirement on c++11 and the
amount of fallout this probably will give.

GDM is still at version 3.16 due to some issues.

Bump mate-themes to use the gtk 3.18 version of the themes.

Thanks to Antoine Brodin for running the exp-runs.

This release was made possible by the following people:
  Gustau Perez
  Ting-Wei_Lan

PR:	207006
18 Nov 2015 22:13:53
Original commit files touched by this commit Revision:401900  2.16.0
rm search for other commits by this committer
Let gnome3 stack be built with python 3.5

This mostly fixing packaging for python3.5, but there is
also py35 waf fix for py3-cairo, that was obtained from Ubuntu
repository.

PR:		204075
Approved by:	maintainer timeout (22 days)
05 Aug 2015 19:13:26
Original commit files touched by this commit Revision:393607  2.16.0  Sanity Test Failure
kwm search for other commits by this committer
The FreeBSD GNOME team proudly presents GNOME 3.16 for FreeBSD.

The offical GNOME 3.16 release notes can be found at
https://help.gnome.org/misc/release-notes/3.16/

Upgrade instructions for port users:

Delete the old tracker package with:
# pkg delete -f tracker
And user port upgrade tool of choice to upgrade.

Thanks to Antoine Brodin for running the exp-runs.

This release was made possible by the following people:
  Gustau Perez
  Ting-Wei_Lan

PR:		201980
14 May 2015 10:15:09
Original commit files touched by this commit Revision:386312  2.12.0_2
mat search for other commits by this committer
MASTER_SITES cleanup.

- Replace ${MASTER_SITE_FOO} with FOO.
- Merge MASTER_SITE_SUBDIR into MASTER_SITES when possible. (This means 99.9%
  of the time.)
- Remove occurrences of MASTER_SITE_LOCAL when no subdirectory was present and
  no hint of what it should be was present.
- Fix some logic.
- And generally, make things more simple and easy to understand.

While there, add magic values to the FESTIVAL, GENTOO, GIMP, GNUPG, QT and
SAMBA macros.

Also, replace some EXTRACT_SUFX occurences with USES=tar:*.

Checked by:	make fetch-urlall-list
With hat:	portmgr
Sponsored by:	Absolight
10 Jan 2015 23:15:28
Original commit files touched by this commit Revision:376731  2.12.0_2
demon search for other commits by this committer
Switch default python3 version from 3.3 to 3.4.
Bump PORTREVISIONs for the affected ports.

Exp-run by:	antoine
08 Jan 2015 21:52:43
Original commit files touched by this commit Revision:376571  2.12.0_1
kwm search for other commits by this committer
Don't hardcode python version.

While here:
Add vala as build depend to gedit.
Gedit-plugins: builds vte3 and gucharmap bindings. Register the depends
and package the files.

PR:		196618
Submitted by:	python3 default to 3.4 exp-run (via antoine@)
19 Nov 2014 11:49:06
Original commit files touched by this commit Revision:372768  2.12.0_1  Sanity Test Failure
kwm search for other commits by this committer
The FreeBSD GNOME team proudly presents GNOME 3.14 and Cinnamon 2.2.
Gnome 3.14.1 and Cinnamon 2.2.16 are supported on FreeBSD 9.3-RELEASE and up.

This commit removes the old GNOME 2 desktop, bindings and some ports that
can't be compiled. A few ports where updated to more recent versions to
allow them to compile with this update.

Apart from updating ports to newer versions

GDM is more integrated with gnome-shell now, and handles several things for
the GNOME desktop such as screen locking. If you want to use GNOME 3 via
startx, you will have to add your own lock screen/screensaver. For example
xscreensaver
can be used for sessions started without GDM.

Shell Extensions can be installed via https://extensions.gnome.org/ , we have
(Only the first 15 lines of the commit message are shown above View all of this commit message)

Number of commits found: 12